# Additional Tracking

## Feature Summary

NATS offers the ability to allow your affiliates to add additional passthrough variables in their linkcodes which are stored with a member's subscription record. These variables then become available on [postbacks](/nats-admin/sites/further-reading/postbacks-and-post-urls.md). In addition to these pass-throughs, methods for forcing the join option to be used on the join form and changing the default join option are also available.

## Join Option Variables

You can force a specific join option on the join form by passing the following variable in the URL: `nats_at[force_optionid]={Option ID}`

You can change the default join option on the join form by passing the following variable: `nats_at[default_optionid]={Option ID}`

## Subscription Passthrough Variables

You can add up to 5 additional subscription passthrough variables that will be stored with the member's subscription:

```
nats_at[subscription_passthrough1]={Passthrough Data 1}
nats_at[subscription_passthrough2]={Passthrough Data 2}
nats_at[subscription_passthrough3]={Passthrough Data 3}
nats_at[subscription_passthrough4]={Passthrough Data 4}
nats_at[subscription_passthrough5]={Passthrough Data 5}
```

## Keeping these variables in the URL after redirect

By default, the nats\_at array will not be available in the URL after the tracking redirect. It is still stored with the subscription and will become available on postbacks. You can control this behavior with the configuration "REMOVE\_EXTRA\_QUERY\_TRACKING\_VARS" which can be found in the "Surfer" section of the configuration admin.

## Additional Parameters

If you need to ensure that any existing pass-throughs are overwritten and not used (pass-throughs are stored based on the surfer's IP & session), add the following parameter to the track link: `nats_at[clear_existing_values]=1`

## Additional Notes

Example link:

`https://{Link Domain}/track/{NATSCode}/?nats_at[force_optionid]={Option ID}&nats_at[default_optionid]={Option ID}&nats_at[subscription_passthrough1]={Passthrough Data 1}&nats_at[subscription_passthrough2]={Passthrough Data 2}`

The tracking is site-specific. Going through a link code resets it.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toomuchmedia.com/using-nats/one-off-articles/additional-tracking.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
